class MineHeaderModel {
  String lvBgColor;
  String lvNameColor;
  String nonLoginAvatar;
  String userNameColor;
  String invitedCodeText;
  String invitedCodeColor;
  String loginColor;
  String loginName;
  String loginNameHelpText;
  String coypeIcon;
  String requiredLogin;
  String requiredTaobaoAuth;
  String skipIdentifier;

  MineHeaderModel(
      {this.lvBgColor,
        this.lvNameColor,
        this.nonLoginAvatar,
        this.userNameColor,
        this.invitedCodeText,
        this.invitedCodeColor,
        this.loginColor,
        this.loginName,
        this.loginNameHelpText,
        this.coypeIcon,
        this.requiredLogin,
        this.requiredTaobaoAuth,
        this.skipIdentifier});

  MineHeaderModel.fromJson(Map<String, dynamic> json) {
    lvBgColor = json['lv_bg_color'];
    lvNameColor = json['lv_name_color'];
    nonLoginAvatar = json['non_login_avatar'];
    userNameColor = json['user_name_color'];
    invitedCodeText = json['invited_code_text'];
    invitedCodeColor = json['invited_code_color'];
    loginColor = json['login_color'];
    loginName = json['login_name'];
    loginNameHelpText = json['login_name_help_text'];
    coypeIcon = json['coype_icon'];
    requiredLogin = json['required_login'];
    requiredTaobaoAuth = json['required_taobao_auth'];
    skipIdentifier = json['skip_identifier'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['lv_bg_color'] = this.lvBgColor;
    data['lv_name_color'] = this.lvNameColor;
    data['non_login_avatar'] = this.nonLoginAvatar;
    data['user_name_color'] = this.userNameColor;
    data['invited_code_text'] = this.invitedCodeText;
    data['invited_code_color'] = this.invitedCodeColor;
    data['login_color'] = this.loginColor;
    data['login_name'] = this.loginName;
    data['login_name_help_text'] = this.loginNameHelpText;
    data['coype_icon'] = this.coypeIcon;
    data['required_login'] = this.requiredLogin;
    data['required_taobao_auth'] = this.requiredTaobaoAuth;
    data['skip_identifier'] = this.skipIdentifier;
    return data;
  }
}

